### Method

# EDataServer NamedParameters get_name

since: 3.18

#### Declaration [src]

    gchar*
    e_named_parameters_get_name (
      const ENamedParameters* parameters,
      gint index
    )

#### Description

No description available.

Available since: 3.18

#### Parameters

`index`

  Type: `gint`

  An index of the parameter whose name to retrieve.

#### Return value

Type: `gchar*`

The name of the parameters at index `index`, or `NULL`, of the `index` is out of bounds or other error. The returned string should be freed with `g_free()` when done with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.